000034859 - Request workflow error in RSA Identity Governance and Lifecycle with Workpoint server license when editing workflows

Document created by RSA Customer Support Employee on Mar 7, 2017Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000034859
Applies ToRSA Product Set: RSA Identity Governance and Lifecycle (RSA G&L)
RSA Product/Service Type: Enterprise Software
RSA Version/Condition: 7.0.1
Application Server: WebSphere
IssueAfter the upgrade of RSA Identity Governance and Lifecycle to 7.0.1, when editing workflows the following error message displays:

The server login was denied because there is a problem with the Workpoint server license 
 

User-added image

The  <WAS_HOME>/profiles/<Profile_Name>/installedApps/<Node_Name>/aveksa.ear/aveksa.war/log/workpoint.log shows the following error message:
2017-01-27 13:01:53,466 [server.startup : 1] ERROR com.workpoint.server.WPServerController  - LicenseException: 
The Workpoint license version 3.5 does not match the current Workpoint server version 4.1. Please upgrade your license.
2017-01-27 13:01:53,467 [server.startup : 1] ERROR com.workpoint.server.WPServerController  -
An error occurred while accessing the license file License.xml
com.workpoint.common.exception.LicenseException:
The Workpoint license version 3.5 does not match the current Workpoint server version 4.1. Please upgrade your license.
at com.workpoint.server.WPServerController.loadLicenseFile(Unknown Source)
at com.workpoint.server.ServerProperties.A(Unknown Source)
at com.workpoint.server.ServerProperties.<init>(Unknown Source)
at com.workpoint.server.ServerProperties$_A.<clinit>(Unknown Source)
at java.lang.J9VMInternals.initializeImpl(Native Method)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:236)
at com.workpoint.server.ServerProperties.getInstance(Unknown Source)
at com.workpoint.server.pojo.ServerConfigPvtBean.<clinit>(Unknown Source)
at java.lang.J9VMInternals.initializeImpl(Native Method)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:236)
CauseThe workpoint license version inside the aveksa.ear\APP-INF\lib\acmConfig.jar\license.xml doesn't match the version of the one in the
aveksaWFArchitect.ear\APP-INF\lib\acmConfig.jar\license.xml.
The above situation would come up if:
  1. You don't have the latest version of either the aveksa.ear or the aveksaWFArchitect.ear.
  2. The aveksa.ear is customized and an older version of the acmConfig.jar was copied.
in the example below the aveksa.ear file had an older version of the acmConfig.jar and was pointing to Workpoint 3.5, where the  aveksaWFArchitect.ear was correct and had an updated acmConfig.jar pointing Workpoint 4.1.
The Workpoint license in the aveksa.ear (in the aveksa.ear\APP-INF\lib\acmConfig.jar\license.xml) shows version 3.5:
 
User-added image

The Workpoint licence in aveksaWFArchitect.ear (in the aveksaWFArchitect.ear\APP-INF\lib\acmConfig.jar\license.xml) shows version 4.1:
User-added image
ResolutionTo resolve the error:
  1. Download fresh RSA Identity Governance and Lifecycle 7.0.1 installation files from the RSA Identity Governance and Lifecycle 7.0.1 Download page
  2. Explode the downloaded aveksa.ear and aveksaWFArchitect.ear.
  3. Make sure the license.xml file under aveksa.ear\APP-INF\lib\acmConfig.jar and aveksaWFArchitect.ear\APP-INF\lib\acmConfig.jar are pointing to the same version.
  4. Redeploy both the .ear files in WebSphere and restart the applications.

Attachments

    Outcomes